#!/usr/bin/env node
var fs = require('fs'),
	currentDir = process.cwd(),
	args = process.argv.slice(2),
	exec = require('child_process').exec;
	
var usage = [
	'',
	' Usage: package [options]',
	'',
	' Options: ',
	'	-h, --help		Show this help.',
	'	-v, --version	Show version.',
	''
].join("\n");

switch(args[0]) {
	case '-h':
	case '--help':
		console.log(usage);
		break;
	case '-v':
	case '--version':
		console.log('0.0.1');
		break;
	default:
		global.package = function(name, version) {
			if(name) {
				var cmd = version == '' ? 'npm install ' + name : 'npm install ' + name + '@' + version;
				exec('cd ' + currentDir + ' && ' + cmd, function(err, stdout, stderr){
					if(stderr.indexOf("404") > 0) {
						console.log('\033[31m' + '[x]' + '\033[39m' + ' ' + name + ' not found in NPM registry.');
					} else {
						console.log('\033[32m' + '[x]' + '\033[39m' + ' ' + name + ' installed.');
					}
					fs.unlink(currentDir + '/npm-debug.log', function(){});
				});
			}
		}
		
		exec('cd ' + currentDir + ' && coffee -c -b Npmfile', function(){
			console.log('Installing packages from Npmfile at ' + currentDir + '/Npmfile');
			console.log('');
			require(currentDir + '/Npmfile.js');
			fs.unlink(currentDir + '/Npmfile.js', function(){});
		});
}